
file_id = "SENSOR_AVREF_SETUP"

--[[

TDCP デバイスの A/D 変換に使用される A/D Vref 値を
データベースに保存する。クライアントプログラム(Flash) から
この値を取得して、A/D ポートに接続された各種センサーの
検出値を計算するときに利用する。

A/D Vref 値が変化した場合には必ずこのスクリプトを修正した後、手動で実行してください。
DeviceServer の再起動時に、REGISTER_ACTIVITYスクリプト中から
一回だけこのスクリプトが自動で実行されます。


データベースに保存するパラメータ
---------------------------------------------------------------------------------
キー値				値		           									値の例
---------------------------------------------------------------------------------
AVref_<DeviceName>	<DeviceName> で指定された XBee デバイス(Node Identifier)
					が接続されたTDCP デバイスの A/D Vref 値を指定する	"5.00"

					デバイスが複数ある場合には全ての A/D Vref 値を
					同様に指定する
---------------------------------------------------------------------------------

]]

log_msg("start..",file_id)

-- A/D Vref 値をクライアント側で利用するためにデータベースに保存する

if not set_permanent_data("AVref_Device1","4.90") then error() end
if not set_permanent_data("AVref_Device4","5.01") then error() end


